package net.geraldloeffler.tasktracker2006.dao;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import net.geraldloeffler.tasktracker2006.domain.Task;

/**
 * Implementation of Data Access Object (DAO) for Task persistent domain
 * objects.
 * 
 * @author Gerald Loeffler
 */
@Stateless
public class TaskDAOBean implements TaskDAO {
  @PersistenceContext
  private EntityManager em;

  public List<Task> findAll() {
    return em.createNamedQuery("findAllTasks").getResultList();
  }
}
