package net.geraldloeffler.tasktracker2006.service;

import java.util.List;
import javax.annotation.EJB;
import javax.annotation.security.RolesAllowed;
import javax.ejb.Stateless;
import net.geraldloeffler.tasktracker2006.dao.TaskDAO;
import net.geraldloeffler.tasktracker2006.domain.Task;

/**
 * Implementation of Service layer operations relating to Task domain objects.
 * 
 * @author Gerald Loeffler
 */
@Stateless
@RolesAllowed("TaskTrackerUser")
public class TaskServiceBean implements TaskService {
  @EJB
  private TaskDAO taskDAO;

  public List<Task> getAllTasks() {
    return taskDAO.findAll();
  }
}
