<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<%@include file="WEB-INF/jspf/html_head.jspf"%>
<body>
<f:view>
  <%@include file="WEB-INF/jspf/menu.jspf"%>
  <h:form>

    <h1>List Entries</h1>

    <h:panelGrid columns="5" cellpadding="5">
      <h:outputLabel for="from" value="From" />
      <h:inputText id="from" value="#{ListEntries.from}">
        <f:convertDateTime type="both" dateStyle="short" timeStyle="short" />
      </h:inputText>

      <h:outputLabel for="to" value="To" />
      <h:inputText id="to" value="#{ListEntries.to}">
        <f:convertDateTime type="both" dateStyle="short" timeStyle="short" />
      </h:inputText>

      <h:commandLink action="#{ListEntries.findEntries}" value="List Entries" />
    </h:panelGrid>

    <h:panelGroup rendered="#{not empty ListEntries.entries}">
      <h:dataTable value="#{ListEntries.entries}" var="e" rules="all">
        <h:column>
          <f:facet name="header">
            <h:outputText value="ID" />
          </f:facet>
          <h:outputText value="#{e.id}" />
        </h:column>
        <h:column>
          <f:facet name="header">
            <h:outputText value="Project" />
          </f:facet>
          <h:outputText value="#{e.task.project.name}" />
        </h:column>
        <h:column>
          <f:facet name="header">
            <h:outputText value="Task" />
          </f:facet>
          <h:outputText value="#{e.task.name}" />
        </h:column>
        <h:column>
          <f:facet name="header">
            <h:outputText value="From" />
          </f:facet>
          <h:outputText value="#{e.from}">
            <f:convertDateTime type="both" dateStyle="short" timeStyle="short" />
          </h:outputText>
        </h:column>
        <h:column>
          <f:facet name="header">
            <h:outputText value="To" />
          </f:facet>
          <h:outputText value="#{e.to}">
            <f:convertDateTime type="both" dateStyle="short" timeStyle="short" />
          </h:outputText>
        </h:column>
        <h:column>
          <f:facet name="header">
            <h:outputText value="Description" />
          </f:facet>
          <h:outputText value="#{e.description}" />
        </h:column>
        <h:column>
          <f:facet name="header">
            <h:outputText value="User Name" />
          </f:facet>
          <h:outputText value="#{e.userName}" />
        </h:column>
        <h:column>
          <h:outputLink value="edit-entry.jsp">
            <h:outputText value="Edit" />
            <f:param name="entryID" value="#{e.id}" />
          </h:outputLink>
        </h:column>
      </h:dataTable>
    </h:panelGroup>

  </h:form>
  <%@include file="WEB-INF/jspf/footer.jspf"%>
</f:view>
</body>
</html>
